<?php
/**
 * i-doit
 *
 * @package     i-doit
 * @copyright   synetics GmbH
 * @license     www.i-doit.com
 */

use idoit\Psr4AutoloaderClass;
use Symfony\Component\Config\FileLocator;
use Symfony\Component\Routing\Loader\PhpFileLoader;

Psr4AutoloaderClass::factory()->addNamespace('idoit\Module\UserSettings', __DIR__ . '/src/');

if (isys_application::instance()->container->isCompiled()) {
    isys_application::instance()->container->get('routes')
        ->addCollection((new PhpFileLoader(new FileLocator(__DIR__)))->load('config/routes.php'));
}
